webkit2-2.16.5-1.mga6.x86_64.rpm


Advertisement

Description

webkit2 - GTK+ Web content engine library

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename webkit2-2.16.5-1.mga6.x86_64.rpm
Package name webkit2
Package version 2.16.5
Package release 1.mga6
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.webkitgtk.org
License BSD and LGPLv2+
Maintainer -
Download size 8.89 MB
Installed size 38.21 MB
WebKitGTK+ is the port of the portable web rendering engine WebKit to the
GTK+ platform.

Alternatives

Package Version Architecture Repository
webkit2-2.20.5-1.mga6.x86_64.rpm 2.20.5 x86_64 Mageia Core Updates
webkit2-2.20.5-1.mga6.i586.rpm 2.20.5 i586 Mageia Core Updates
webkit2-2.20.3-1.mga6.x86_64.rpm 2.20.3 x86_64 Mageia Core Updates
webkit2-2.20.3-1.mga6.i586.rpm 2.20.3 i586 Mageia Core Updates
webkit2-2.20.2-1.mga6.x86_64.rpm 2.20.2 x86_64 Mageia Core Updates
webkit2-2.20.2-1.mga6.i586.rpm 2.20.2 i586 Mageia Core Updates
webkit2-2.20.1-1.mga6.x86_64.rpm 2.20.1 x86_64 Mageia Core Updates
webkit2-2.20.1-1.mga6.i586.rpm 2.20.1 i586 Mageia Core Updates
webkit2-2.18.6-1.mga6.x86_64.rpm 2.18.6 x86_64 Mageia Core Updates
webkit2-2.18.6-1.mga6.i586.rpm 2.18.6 i586 Mageia Core Updates
webkit2-2.18.5-1.mga6.x86_64.rpm 2.18.5 x86_64 Mageia Core Updates
webkit2-2.18.5-1.mga6.i586.rpm 2.18.5 i586 Mageia Core Updates
webkit2-2.18.4-1.mga6.x86_64.rpm 2.18.4 x86_64 Mageia Core Updates
webkit2-2.18.4-1.mga6.i586.rpm 2.18.4 i586 Mageia Core Updates
webkit2-2.18.3-1.mga6.x86_64.rpm 2.18.3 x86_64 Mageia Core Updates
webkit2-2.18.3-1.mga6.i586.rpm 2.18.3 i586 Mageia Core Updates
webkit2-2.16.6-1.mga6.x86_64.rpm 2.16.6 x86_64 Mageia Core Updates
webkit2-2.16.6-1.mga6.i586.rpm 2.16.6 i586 Mageia Core Updates
webkit2-2.16.5-1.mga6.i586.rpm 2.16.5 i586 Mageia Core
webkit2 - - -

Requires

Name Value
ld-linux-x86-64.so.2()(64bit) -
ld-linux-x86-64.so.2(GLIBC_2.3)(64bit) -
lib64webkit2gtk4.0_37 == 2.16.5
libEGL.so.1()(64bit) -
libGL.so.1()(64bit) -
libX11.so.6()(64bit) -
libXcomposite.so.1()(64bit) -
libXdamage.so.1()(64bit) -
libatk-1.0.so.0()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.11)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libc.so.6(GLIBC_2.7)(64bit) -
libcairo.so.2()(64bit) -
libdl.so.2()(64bit) -
libdl.so.2(GLIBC_2.2.5)(64bit) -
libenchant.so.1()(64bit) -
libfontconfig.so.1()(64bit) -
libfreetype.so.6()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_4.0.0)(64bit) -
libgcrypt.so.20()(64bit) -
libgcrypt.so.20(GCRYPT_1.6)(64bit) -
libgdk-x11-2.0.so.0()(64bit) -
libgdk_pixbuf-2.0.so.0()(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgmodule-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgstapp-1.0.so.0()(64bit) -
libgstaudio-1.0.so.0()(64bit) -
libgstbase-1.0.so.0()(64bit) -
libgstfft-1.0.so.0()(64bit) -
libgstpbutils-1.0.so.0()(64bit) -
libgstreamer-1.0.so.0()(64bit) -
libgsttag-1.0.so.0()(64bit) -
libgstvideo-1.0.so.0()(64bit) -
libgtk-x11-2.0.so.0()(64bit) -
libharfbuzz-icu.so.0()(64bit) -
libharfbuzz.so.0()(64bit) -
libhyphen.so.0()(64bit) -
libicui18n.so.58()(64bit) -
libicuuc.so.58()(64bit) -
libjavascriptcoregtk-4.0.so.18()(64bit) -
libjpeg.so.8()(64bit) -
libjpeg.so.8(LIBJPEG_8.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpango-1.0.so.0()(64bit) -
libpng16.so.16()(64bit) -
libpng16.so.16(PNG16_0)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libpthread.so.0(GLIBC_2.3.2)(64bit) -
librt.so.1()(64bit) -
librt.so.1(GLIBC_2.2.5)(64bit) -
libsecret-1.so.0()(64bit) -
libsoup-2.4.so.1()(64bit) -
libsqlite3.so.0()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.14)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.19)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
libwayland-client.so.0()(64bit) -
libwayland-egl.so.1()(64bit) -
libwayland-server.so.0()(64bit) -
libwebkit2gtk-4.0.so.37()(64bit) -
libwebp.so.6()(64bit) -
libxml2.so.2()(64bit) -
libxml2.so.2(LIBXML2_2.4.30)(64bit) -
libxml2.so.2(LIBXML2_2.6.0)(64bit) -
libxml2.so.2(LIBXML2_2.6.6)(64bit) -
libxslt.so.1()(64bit) -
libxslt.so.1(LIBXML2_1.0.11)(64bit) -
libxslt.so.1(LIBXML2_1.0.22)(64bit) -
libxslt.so.1(LIBXML2_1.0.24)(64bit) -
libxslt.so.1(LIBXML2_1.1.9)(64bit) -
libz.so.1()(64bit) -
libz.so.1(ZLIB_1.2.0)(64bit) -

Provides

Name Value
libwebkit2gtkinjectedbundle.so()(64bit) -
webkit2 == 2.16.5-1.mga6
webkit2(x86-64) == 2.16.5-1.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package webkit2-2.16.5-1.mga6.x86_64.rpm
Source Package webkit2-2.16.5-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install webkit2 rpm package:
    # urpmi webkit2

Files

Path
/usr/lib64/webkit2gtk-4.0
/usr/lib64/webkit2gtk-4.0/injected-bundle/libwebkit2gtkinjectedbundle.so
/usr/libexec/webkit2gtk-4.0/WebKitDatabaseProcess
/usr/libexec/webkit2gtk-4.0/WebKitNetworkProcess
/usr/libexec/webkit2gtk-4.0/WebKitPluginProcess
/usr/libexec/webkit2gtk-4.0/WebKitPluginProcess2
/usr/libexec/webkit2gtk-4.0/WebKitWebProcess
/usr/share/locale/ar/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/as/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/bg/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/ca/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/cs/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/de/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/el/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/en_CA/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/en_GB/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/eo/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/es/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/et/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/eu/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/fi/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/fr/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/gl/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/gu/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/he/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/hi/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/hu/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/id/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/it/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/ja/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/kn/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/ko/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/lt/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/lv/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/ml/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/mr/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/nb/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/nl/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/or/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/pa/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/pl/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/pt/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/pt_BR/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/ro/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/ru/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/sl/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/sr/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/sr@latin/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/sv/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/ta/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/te/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/tr/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/uk/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/vi/LC_MESSAGES/WebKit2GTK-4.0.mo
/usr/share/locale/zh_CN/LC_MESSAGES/WebKit2GTK-4.0.mo

Changelog

2017-07-07 - luigiwalser <luigiwalser> 2.16.5-1.mga6
+ Revision: 1109431
- 2.16.5
2017-06-23 - luigiwalser <luigiwalser> 2.16.4-1.mga6
+ Revision: 1108261
- 2.16.4
2017-05-26 - luigiwalser <luigiwalser> 2.16.3-1.mga6
+ Revision: 1104888
- 2.16.3
2017-05-13 - ovitters <ovitters> 2.16.2-1.mga6
+ Revision: 1100791
- new version 2.16.2
2017-05-02 - akien <akien> 2.16.1-4.mga6
+ Revision: 1098648
- Fix conflicts with jsc packaged in both webkit2 and webkit2-jsc
2017-04-22 - wally <wally> 2.16.1-3.mga6
+ Revision: 1097052
- add patch from Debian to fix ARM build
2017-04-21 - wally <wally> 2.16.1-2.mga6
+ Revision: 1097006
- rebuild for ARM
2017-04-07 - ns80 <ns80> 2.16.1-1.mga6
+ Revision: 1096078
- new version 2.16.1 that fix several crashes and rendering issues
2017-03-29 - luigiwalser <luigiwalser> 2.16.0-1.mga6
+ Revision: 1095162
- 2.16.0
2017-03-16 - mrambo3501 <mrambo3501> 2.14.5-2.mga6
+ Revision: 1093114
- Rebuild for icu-58.2

See Also

Package Description
webkit2-jsc-2.16.5-1.mga6.x86_64.rpm JavaScriptCore shell for WebKit GTK+
webkit3-2.4.10-3.mga6.x86_64.rpm Web browser engine
webkit3-gtklauncher-2.4.10-3.mga6.x86_64.rpm WebKit GTK+3 example application
webkit3-jsc-2.4.10-3.mga6.x86_64.rpm JavaScriptCore shell for WebKit GTK+3
webkit3.0-2.4.10-3.mga6.x86_64.rpm GTK+3 port of WebKit web browser engine - shared files
webmin-1.840-1.mga6.noarch.rpm An SSL web-based administration interface for Unix systems
weboob-1.2-3.mga6.noarch.rpm Provides several applications to interact with a lot of websites
webserver-base-2.0-10.mga6.noarch.rpm Base files and user for webserver
websocketpp-devel-0.7.0-1.mga6.noarch.rpm C++ WebSocket Protocol Library
websockify-0.7.0-1.mga6.noarch.rpm WebSockets support for any application/server
weechat-1.7.1-1.mga6.x86_64.rpm Portable, fast, light and extensible IRC client
weechat-aspell-1.7.1-1.mga6.x86_64.rpm Weechat spell check plugins
weechat-charset-1.7.1-1.mga6.x86_64.rpm Weechat charset plugins
weechat-devel-1.7.1-1.mga6.x86_64.rpm Development files for weechat
weechat-guile-1.7.1-1.mga6.x86_64.rpm Weechat guile plugins
Advertisement
Advertisement